<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Types.PlcStruct ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="None">
    <Member Name="KOPF" Datatype="Word">
      <Comment>
        <MultiLanguageText Lang="de-DE">Fifo-Kennung (FF) / Datensatzlänge in Word (1 - 128)</MultiLanguageText>
      </Comment>
      <StartValue>WORD#16#FF00</StartValue>
    </Member>
    <Member Name="LAENGE" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Länge des Fifo (maximale Anzahl der Datensätze)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="BRINGZEIGER" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zeiger, wohin nächster Eintrag gespeichert wird</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="HOLZEIGER" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zeiger, woher nächste Daten geholt werden</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ANZAHL" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Anzahl der Datensätze (eingetragene)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="STATUS" Datatype="Word">
      <Comment>
        <MultiLanguageText Lang="de-DE">Status des Fifo</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ZUSATZDW1" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Speicherzelle für 1.Zusatzdaten</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ZUSATZDW2" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Speicherzelle für 2.Zusatzdaten</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ZUSATZDW3" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Speicherzelle für 3.Zusatzdaten</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ZUSATZDW4" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Speicherzelle für 4.Zusatzdaten</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI1" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI2" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI3" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI4" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI5" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI6" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI7" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI8" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI9" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FREI10" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zur freien Verfügung</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
</Sections></Interface>
      <Name>FifoKopf</Name>
      <Namespace />
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Types.PlcStruct>
</Document>